/*------------------------------------------------*/
/*-- Site Wide Modal Popup [CSS] (On Page Load) --*/
/*------------------------------------------------*/

#siteWidgetModal {
    display: none;
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    overflow: hidden;
    animation-name: modalopen;
    animation-duration: 0.5s;
    z-index: 9999999999;
    background-color: rgba(0, 0, 0, 0.75);

    .site-modal-wrapper {
        position: fixed;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: calc(100% - 40px);
        max-width: max-content;
        overflow-y: auto;
        overflow-x: hidden;
        height: calc(100% - 40px);
        align-content: center;

        .site-modal-contain {
           border-radius: 8px;
           overflow: hidden;
            max-width: 100%;
            margin: auto;

            .site-modal-content {
                position: relative;
                max-width: 100%;
                width: 900px;
                background: #fff;
                padding: 0 0 5px;

                .h2-container {
                    position: relative;

                    h2 {
                        text-align: center;
                        padding: 25px 50px;
                        margin: 0 auto;
                        background: #0C3239;
                        color: #fff;
                    }
                }

                .modal-section {
                    padding: 0 20px;

                    p {
                        color: #000;
                        margin: 15px auto;
                        line-height: 1.6;
                        font-weight: 400;
                        text-align: center;
                    }
                }

                .close-modal-button {
                    position: absolute;
                    z-index: 10;
                    background-color: #008C95;
                    border: 0;
                    outline: 0;
                    color: #fff;
                    padding: 0;
                    cursor: pointer;
                    justify-content: center;
                    top: 0;
                    right: 0;
                    height: 50px;
                    width: 50px;
                    font-size: 50px;
                    display: grid;
                    align-content: center;
                    font-family: sans-serif;
                    transition: all 0.35s;

                    &:hover {
                        background-color: #000;
                        transition: all 0.35s;
                    }
                }

                .btn {
                    background-color: #d2b22e;
                    transition: all 0.35s;

                    &:hover {
                        background-color: #205d69;
                        transition: all 0.35s;
                    }
                }
            }
        }
    }
}

@keyframes modalopen {

    from {
        opacity: 0
    }

    to {
        opacity: 1
    }
}

@media screen and (max-width: 767px) {

    #siteWidgetModal {

        .site-modal-wrapper {

            .site-modal-contain {

                .site-modal-content {

                    .close-modal-button {

                        &:hover {}

                        &:focus {}
                    }
                }
            }
        }
    }
}
